{
  config,
  lib,
  modulesPath,
  ...
}:
let
  cfg = config.khscodes.hetzner;
in
{
  options.khscodes.qemu-guest = {
    enable = lib.mkEnableOption "Configures machine with NixOS profile for qemu guest";
  };

  config = lib.mkIf cfg.enable (import "${modulesPath}/profiles/qemu-guest.nix" { });
}
